import shapes3d.utils.*;
import shapes3d.animation.*;
import shapes3d.*;

Ellipsoid ellipsoid;

float angleX, angleY, angleZ;

public void setup() {
  size(400,400,P3D);
  ellipsoid = new Ellipsoid(this, 16, 24);
  ellipsoid.setTexture("globe.jpg");
  ellipsoid.setRadius(120, 100, 120);
  ellipsoid.drawMode(S3D.WIRE | S3D.TEXTURE);
  ellipsoid.stroke(color(160));
  ellipsoid.strokeWeight(0.6f);
}

public void draw() {
  pushMatrix();
  camera(0, 0, 300, 0, 0, 0, 0, 1, 0);
  angleX = -PI/12;
  angleY = 0;
  angleZ = 0;
  rotateX(angleX);
  rotateY(angleY);
  rotateZ(angleZ);
  // Draw selected shape
  ellipsoid.draw();
  popMatrix();
}
